Name:           plasma-phone-settings 
Version:        0.0.1.20220211
Release:        34.1
Summary:        Plasma Phone Settings
Url:            https://invent.kde.org/plasma-mobile/plasma-phone-settings
Source0:        plasma-phone-settings-%{version}.tar.xz
Source1:        desktop-files.tar.gz
#Source2:        kcm-about-distrorc
Source3:        applications-blacklistrc
License:        GPL-3.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
#Our defaults conflict with the custom KWin settings for Plasma Mobile
#Conflicts:      plasma5-defaults-openSUSE
#Provides:       plasma5-defaults-openSUSE
#Requires:       hicolor-icon-theme-branding-openSUSE
#Requires:       distribution-logos-openSUSE-Tumbleweed
#Requires:       breeze5-wallpapers
#^ensure default wallpapers are installed
%description
Configuration files for Plasma Mobile deployments.

%prep
%setup -q -n plasma-phone-settings-%{version}
%setup -T -Dqa 1

%build

%install
install -m 0644 -D -t %{buildroot}%{_sysconfdir}/xdg/ etc/xdg/{kdeglobals,kwinrc,kscreenlockerrc} %{SOURCE3}
install -m 0755 -D -t %{buildroot}%{_sysconfdir}/skel/.local/share/applications *.desktop

%files
%defattr(-,root,root,-)
%config %{_sysconfdir}/xdg/{kdeglobals,kwinrc,kcm-about-distrorc,kscreenlockerrc}
%config(noreplace) %{_sysconfdir}/xdg/applications-blacklistrc
%{_sysconfdir}/skel/.local/

%changelog
* Wed Feb 16 2022 Andrés B.S. <andresbs@opensuse.org>
- Remove KSysGuard shortcut workaround as it is no longer part
  of Plasma by default.
* Sun Feb 14 2021 Andrés B.S. <andresbs@opensuse.org>
- Disable home button logo since it is broken in 20.5.90 beta
* Mon Feb  8 2021 Andrés B.S. <andresbs@opensuse.org>
- Require custom themes (don't care about rpmlint, this package
  is branding)
* Sat Feb  6 2021 Andrés B.S. <andresbs@opensuse.org>
- Hide packages installed by 'Recommends:'
* Thu Feb  4 2021 Andrés B.S. <andresbs@opensuse.org>
- Add custom KDE theme
